DeluxHostAPI Reference
Orders & renewals

List orders

GET
/v1/orders

Authorization

apiToken orders:read
headerAuthorizationBearer <token>

A personal API token: Authorization: Bearer dh_live_…. See Authentication for scopes.

Scope: orders:read

Response Body

Operation completed or accepted; asynchronous actions may still be running.

application/json
  1. response
items*array<>
curl -X GET 'https://api.deluxhost.net/v1/orders' \  -H "Authorization: Bearer $DELUXHOST_TOKEN"
Example Response
{  "items": [    {      "id": 0,      "orderNumber": 0,      "productId": 0,      "productSlug": "string",      "productName": "string",      "productType": "string",      "projectId": null,      "label": null,      "cycle": "string",      "status": "string",      "priceCents": 0,      "setupFeeCents": 0,      "nextDueAt": "2019-08-24T14:15:22Z",      "provisioningStatus": "string",      "provisioningModule": "string",      "rebuildRequired": true,      "vfServerId": 0,      "suspendReason": null,      "suspendedAt": null,      "autoCharge": true,      "cancelType": null,      "cancelRequestedAt": null,      "pendingCycle": null,      "pendingCyclePriceCents": null,      "extraIpv4Count": 0,      "extraIpv4MonthlyCents": null,      "renewalPromotionEligible": true,      "renewalPromotionEndsAt": "string",      "renewalPromotionTotalCents": 0,      "renewalPromotionOriginalCents": 0,      "prepayEnabled": true,      "prepayEligible": true,      "prepayNextDueAt": "2019-08-24T14:15:22Z",      "createdAt": "2019-08-24T14:15:22Z"    }  ]}